clang-tools 10.0.0

Classes | Namespaces | Typedefs | Functions
Preamble.h File Reference
`#include "CollectMacros.h"`
`#include "Compiler.h"`
`#include "Diagnostics.h"`
`#include "FS.h"`
`#include "Headers.h"`
`#include "index/CanonicalIncludes.h"`
`#include "clang/Frontend/PrecompiledPreamble.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include <memory>`
`#include <string>`
`#include <vector>`
Include dependency graph for Preamble.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::clangd::PreambleData
| The parsed preamble and associated data. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
using | clang::clangd::PreambleParsedCallback = std::function< void(ASTContext &, std::shared_ptr< clang::Preprocessor >, const CanonicalIncludes &)>

## Functions
std::shared_ptr< const PreambleData > | clang::clangd::buildPreamble (PathRef FileName, CompilerInvocation &CI, std::shared_ptr< const PreambleData > OldPreamble, const tooling::CompileCommand &OldCompileCommand, const ParseInputs &Inputs, bool StoreInMemory, PreambleParsedCallback PreambleCallback)
| Build a preamble for the new inputs unless an old one can be reused. More...